## mutter 45.3

=== debian/changelog ===
mutter (45.3-1ubuntu1) noble; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add x11-Add-support-for-fractional-scaling-using-Randr.patch
    - Add window-Add-ability-to-override-the-edge-constraints.patch
      + Make possible for extensions (such as Tiling Assistant) to override
        window constraints

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 08 Jan 2024 16:00:43 -0500

mutter (45.3-1) experimental; urgency=medium

  * New upstream release
  * debian/libmutter-13-0.symbols: Add new symbol
  * Drop overrides for non-Linux since we build for Linux only

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 08 Jan 2024 15:58:29 -0500

mutter (45.2-3ubuntu1) noble; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add x11-Add-support-for-fractional-scaling-using-Randr.patch
    - Add window-Add-ability-to-override-the-edge-constraints.patch
      + Make possible for extensions (such as Tiling Assistant) to override
        window constraints

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 20 Dec 2023 09:32:48 -0500

mutter (45.2-3) experimental; urgency=medium

  [ Daniel van Vugt ]
  * Update Support-Dynamic-triple-double-buffering.patch
    with a fix to the frame clock for a regression inherited from
    45.1 (8f27ebf8) whereby it would enter triple buffering mode
    prematurely. And because it was premature, the clock would soon
    notice that triple buffering isn't required and drop back to double
    buffering. But the switch from triple to double buffering stalls the
    client frame queue by one frame which for some clients like Firefox
    is seen as a frame skip. (LP: #2046360)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 20 Dec 2023 09:29:22 -0500

mutter (45.2-2) experimental; urgency=medium

  * Team upload

  [ Chris Hofstaedtler ]
  * Honor udev.pc's udevdir when installing udev rules (Closes: #1057319)

  [ Simon McVittie ]
  * Merge with version 44.7-1 from unstable
  * d/control, d/rules: Stop generating d/control from d/control.in
  * d/patches: Mark several additional tests as flaky.
    Most of these have never been reliable on Debian buildds, especially
    on ARM, so having them fail is not a regression. They usually succeed
    after a few retries, but that's time-consuming and unsuitable to be a
    QA gate.
    The restore-size test was previously not run at all: now it is run, but
    marked as flaky (so its result is ignored).

 -- Simon McVittie <smcv@debian.org>  Wed, 13 Dec 2023 17:08:10 +0000

mutter (45.2-1ubuntu1) noble; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add x11-Add-support-for-fractional-scaling-using-Randr.patch
    - Add window-Add-ability-to-override-the-edge-constraints.patch
      + Make possible for extensions (such as Tiling Assistant) to override
        window constraints

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 08 Dec 2023 15:19:05 -0500

mutter (44.7-1) unstable; urgency=medium

  * Team upload

  [ Simon McVittie ]
  * New upstream release
  * Drop patches that were included in the upstream release

  [ Chris Hofstaedtler ]
  * Honor udev.pc's udevdir when installing udev rules (Closes: #1057319)

 -- Simon McVittie <smcv@debian.org>  Tue, 12 Dec 2023 13:31:00 +0000

mutter (45.2-1) experimental; urgency=medium

  * New upstream release (LP: #2043000)
  * Drop patches applied in new release
  * Drop unimportant patch not included in the mutter 45.2 backports

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 04 Dec 2023 08:54:20 -0500

mutter (45.1-2ubuntu1) noble; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add x11-Add-support-for-fractional-scaling-using-Randr.patch
    - Add window-Add-ability-to-override-the-edge-constraints.patch
      + Make possible for extensions (such as Tiling Assistant) to override
        window constraints

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 12 Nov 2023 12:35:36 -0500

mutter (45.1-2) experimental; urgency=medium

  * Cherry-pick several commits to fix Wacom on X11 issues (LP: #2043027)
  * Cherry-pick other commits suggested in !3414 to fix several issues

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 29 Nov 2023 09:48:34 -0500

mutter (45.1-1) experimental; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release (LP: #2043000)
    - Fix capital accent letters (LP: #2035076)
    - Fix crash when screen locked or heavy load with some Ryzen systems
      (LP: #2034619)
  * debian/libmutter-13-0.symbols: Add new symbols
  * debian/libmutter-13-0.symbols: Add missing Build-Depends-Package annotation
  * Update build autopkgtest to not run dh_auto_test (LP: #2038564)
  * Drop patches applied in new release

  [ Daniel van Vugt ]
  * Rebase triple buffering patch

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 08 Nov 2023 18:49:03 +0200

mutter (45.0-3ubuntu4) noble; urgency=medium

  * Cherry pick 4 commits to fix SIGKILL on lockscreen. (LP: #2034619)
  * Drop kms-impl-device-Inhibit-deadline-timer-on-amdgpu.patch

 -- Mario Limonciello <superm1@gmail.com>  Thu, 26 Oct 2023 10:27:44 -0500

=== debian/control ===
Source: mutter
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               dh-sequence-gir,
               dh-sequence-gnome,
               at-spi2-core <!nocheck>,
               adwaita-icon-theme <!nocheck>,
               dbus-daemon <!nocheck>,
               dmz-cursor-theme <!nocheck>,
               gnome-control-center-data,
               gnome-pkg-tools (>= 0.10),
               gnome-settings-daemon-common <!nocheck>,
               gnome-settings-daemon-dev,
               gobject-introspection (>= 1.41.3),
               gsettings-desktop-schemas-dev (>= 40~alpha),
               gtk-doc-tools (>= 1.15),
               libei-dev (>= 1.0.901),
               libeis-dev (>= 1.0.901),
               libcairo2-dev (>= 1.10.0),
               libcanberra-gtk3-dev,
               libcolord-dev,
               libdrm-dev (>= 2.4.83),
               libegl1-mesa-dev (>= 17),
               libfribidi-dev (>= 1.0.0),
               libgbm-dev (>= 17.3),
               libgdk-pixbuf-2.0-dev,
               libgirepository1.0-dev (>= 0.9.12),
               libgl-dev,
               libgles-dev,
               libglib2.0-dev (>= 2.75.0),
               libgnome-desktop-4-dev,
               libgraphene-1.0-dev (>= 1.10.2),
               libgtk-3-dev (>= 3.19.8) <!nocheck>,
               libgtk-4-dev,
               libgudev-1.0-dev (>= 232),
               libice-dev,
               libinput-dev (>= 1.19.0),
               libjson-glib-dev (>= 0.13.2-1~),
               liblcms2-dev,
               libnvidia-egl-wayland-dev,
               libpam0g-dev,
               libpango1.0-dev (>= 1.46.0),
               libpipewire-0.3-dev (>= 0.3.33),
               libsm-dev,
               libstartup-notification0-dev (>= 0.7),
               libsysprof-6-dev [!hurd-i386 !i386],
               libsysprof-capture-4-dev (>= 3.40.1),
               libsystemd-dev (>= 212),
               libwacom-dev (>= 0.13),
               libwayland-dev (>= 1.21.0),
               libxau-dev,
               libx11-dev,
               libx11-xcb-dev,
               libxcb-randr0-dev,
               libxcb-res0-dev,
               libxcomposite-dev (>= 1:0.4),
               libxcursor-dev,
               libxdamage-dev,
               libxext-dev,
               libxfixes-dev (>= 6.0),
               libxi-dev (>= 2:1.7.4),
               libxinerama-dev,
               libxkbcommon-dev (>= 0.4.3),
               libxkbcommon-x11-dev,
               libxkbfile-dev,
               libxrandr-dev,
               libxrender-dev,
               libxt-dev,
               meson (>= 0.55.0),
               pkg-config (>= 0.22),
               python3-attr,
               python3-jinja2,
               python3-dbus <!nocheck>,
               python3-dbusmock <!nocheck>,
               sysprof [!hurd-i386 !i386],
               udev,
               wayland-protocols (>= 1.31),
               xauth <!nocheck>,
               xcvt,
               xkb-data,
               xvfb,
               xwayland (>= 2:23.1.0),
               zenity
Rules-Requires-Root: no
Standards-Version: 4.6.2
XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/mutter.git -b debian/unstable
XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/mutter
Vcs-Git: https://salsa.debian.org/gnome-team/mutter.git -b ubuntu/master
Vcs-Browser: https://salsa.debian.org/gnome-team/mutter/tree/ubuntu/master

Package: mutter
Architecture: linux-any
Depends: adwaita-icon-theme,
         gnome-settings-daemon-common,
         gsettings-desktop-schemas (>= 40~alpha),
         mutter-common (>= ${source:Version}),
         zenity,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: x-window-manager
Suggests: gnome-control-center (>= 1:3.25.2),
          xdg-user-dirs
Description: Example window manager using GNOME's window manager library
 Mutter is a Wayland display server and X11 window manager and
 compositor library. It contains functionality related to, among other
 things, window management, window compositing, focus tracking, workspace
 management, keybindings and monitor configuration.
 .
 Internally it uses a fork of Cogl, a hardware acceleration abstraction
 library used to simplify usage of OpenGL pipelines, as well as a fork
 of Clutter, a scene graph and user interface toolkit.
 .
 This package contains the mutter executable. It can be used as a
 standalone window manager, but is primarily intended for debugging.

Package: mutter-13-tests
Architecture: linux-any
Depends: at-spi2-core,
         dbus-daemon,
         dmz-cursor-theme,
         libmutter-13-0 (= ${binary:Version}),
         libmutter-test-13 (= ${binary:Version}),
         mutter (= ${binary:Version}),
         python3,
         python3-dbus,
         python3-dbusmock,
         xauth,
         xvfb,
         xwayland (>= 2:23.1.0),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Tests for GNOME's window manager library
 Mutter is a Wayland display server and X11 window manager and
 compositor library. It contains functionality related to, among other
 things, window management, window compositing, focus tracking, workspace
 management, keybindings and monitor configuration.
 .
 Internally it uses a fork of Cogl, a hardware acceleration abstraction
 library used to simplify usage of OpenGL pipelines, as well as a fork
 of Clutter, a scene graph and user interface toolkit.
 .
 This package contains test programs, designed to be run as part of a
 regression testsuite.

Package: gir1.2-mutter-13
Section: introspection
Architecture: linux-any
Multi-Arch: same
Depends: libmutter-13-0 (= ${binary:Version}),
         ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: GObject introspection data for Mutter
 Mutter is a Wayland display server and X11 window manager and
 compositor library. It contains functionality related to, among other
 things, window management, window compositing, focus tracking, workspace
 management, keybindings and monitor configuration.
 .
 Internally it uses a fork of Cogl, a hardware acceleration abstraction
 library used to simplify usage of OpenGL pipelines, as well as a fork
 of Clutter, a scene graph and user interface toolkit.
 .
 This package contains the GObject introspection data which may be
 used to generate dynamic bindings.

Package: libmutter-13-0
Section: libs
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: adwaita-icon-theme,
         gsettings-desktop-schemas (>= 40~alpha),
         mutter-common (>= ${source:Version}),
         mutter-common-bin (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: apparmor (<< 2.13.3-5~),
        gnome-control-center (<< 1:3.25.2),
        gnome-settings-daemon (<< 3.31.101),
        gnome-shell (<< 45~rc),
        libgtk-3-0 (<< 3.24.33-2~),
        libgtk-4-1 (<< 4.6.3+ds1-2~),
        xwayland (<< 2:23.1.0),
Description: window manager library from the Mutter window manager
 Mutter is a Wayland display server and X11 window manager and
 compositor library. It contains functionality related to, among other
 things, window management, window compositing, focus tracking, workspace
 management, keybindings and monitor configuration.
 .
 Internally it uses a fork of Cogl, a hardware acceleration abstraction
 library used to simplify usage of OpenGL pipelines, as well as a fork
 of Clutter, a scene graph and user interface toolkit.
 .
 This package contains the window manager shared library, used by mutter
 itself, and gnome-shell.

Package: libmutter-13-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends: gir1.2-mutter-13 (= ${binary:Version}),
         gsettings-desktop-schemas-dev (>= 40~alpha),
         libatk1.0-dev,
         libcairo2-dev,
         libdrm-dev,
         libegl-dev,
         libegl1-mesa-dev,
         libgbm-dev,
         libgdk-pixbuf-2.0-dev,
         libgles-dev,
         libglib2.0-dev (>= 2.75.0),
         libgraphene-1.0-dev (>= 1.9.3),
         libinput-dev (>= 1.19),
         libjson-glib-dev,
         libmutter-13-0 (= ${binary:Version}),
         libpango1.0-dev,
         libwayland-dev,
         libx11-dev,
         libxcomposite-dev,
         libxdamage-dev,
         libxext-dev,
         libxfixes-dev (>= 6.0),
         libxi-dev,
         libxrandr-dev,
         ${misc:Depends}
Description: Development files for the Mutter window manager
 Mutter is a Wayland display server and X11 window manager and
 compositor library. It contains functionality related to, among other
 things, window management, window compositing, focus tracking, workspace
 management, keybindings and monitor configuration.
 .
 Internally it uses a fork of Cogl, a hardware acceleration abstraction
 library used to simplify usage of OpenGL pipelines, as well as a fork
 of Clutter, a scene graph and user interface toolkit.
 .
 This package contains the development files.

Package: libmutter-test-13
Section: libs
Architecture: linux-any
Depends: libmutter-13-0 (= ${binary:Version}),
         mutter (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Provides: gir1.2-metatest-13
Description: Test helper library for GNOME's window manager library
 Mutter is a Wayland display server and X11 window manager and
 compositor library. It contains functionality related to, among other
 things, window management, window compositing, focus tracking, workspace
 management, keybindings and monitor configuration.
 .
 This package contains a private library used by the automated tests for
 mutter and gnome-shell. It should not be used by non-GNOME packages.

Package: mutter-common
Section: misc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: shared files for the Mutter window manager
 Mutter is a Wayland display server and X11 window manager and
 compositor library. It contains functionality related to, among other
 things, window management, window compositing, focus tracking, workspace
 management, keybindings and monitor configuration.
 .
 Internally it uses a fork of Cogl, a hardware acceleration abstraction
 library used to simplify usage of OpenGL pipelines, as well as a fork
 of Clutter, a scene graph and user interface toolkit.
 .
 This package contains the shared files.

Package: mutter-common-bin
Section: misc
Architecture: linux-any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Breaks: mutter (<< 44~)
Replaces: mutter (<< 44~)
Description: shared programs for the Mutter window manager
 Mutter is a Wayland display server and X11 window manager and
 compositor library. It contains functionality related to, among other
 things, window management, window compositing, focus tracking, workspace
 management, keybindings and monitor configuration.
 .
 Internally it uses a fork of Cogl, a hardware acceleration abstraction
 library used to simplify usage of OpenGL pipelines, as well as a fork
 of Clutter, a scene graph and user interface toolkit.
 .
 This package contains the program files which are used for the libraries
 and others.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

built_binaries := $(shell dh_listpackages)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

# Following upstream method to compute the API version
MUTTER_MAJOR_VERSION = $(shell echo $(DEB_VERSION_UPSTREAM) | sed 's/[~.].*//')
MUTTER_API_VERSION = $(shell echo $$(( $(MUTTER_MAJOR_VERSION) - 32 )) )
MUTTER_SONAME = 0

export MUTTER_API_VERSION
export MUTTER_SONAME

%:
	dh $@

CONFFLAGS = \
	-Degl_device=true \
	-Dremote_desktop=true \
	-Dwayland_eglstream=true
export deb_udevdir = $(shell pkg-config --variable=udevdir udev | sed s,^/,,)

ifneq ($(filter i386,$(DEB_HOST_ARCH)),)
CONFFLAGS +=-Dprofiler=false
endif

override_dh_gnome_clean:

override_dh_auto_configure:
	dh_auto_configure -- \
		$(CONFFLAGS)

# Use meson test directly as it allows us to use the timeout multiplier
BUILDDIR=$(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)
TEST_COMMAND_BASE=env \
	GIO_USE_VFS=local \
	GIO_USE_VOLUME_MONITOR=unix \
	GSETTINGS_SCHEMA_DIR=$(BUILDDIR)/data \
	GVFS_DISABLE_FUSE=1 \
	dbus-run-session -- xvfb-run -s '+iglx -noreset' -a \
	dh_auto_test -- -C $(BUILDDIR) --no-rebuild --verbose --timeout-multiplier 6 \
	           --no-stdsplit --print-errorlogs
TEST_COMMAND=$(TEST_COMMAND_BASE) --no-suite flaky
TEST_COMMAND_FLAKY=env DEB_ALLOW_FLAKY_TESTS=1 $(TEST_COMMAND_BASE) --suite flaky

# Don't run the tests on mips etc. since they either time out or fail too
# much, blocking migration to testing.
# Please keep this list in sync with debian/tests/installed-tests
override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	glib-compile-schemas $(BUILDDIR)/data
ifeq (,$(filter mips mips64el mipsel riscv64 s390x alpha hppa powerpc sparc64 x32,$(DEB_HOST_ARCH)))
	$(TEST_COMMAND)
	-$(TEST_COMMAND_FLAKY) --logbase flaky-tests
endif
endif

# debhelper >= 13.4 makes all of /usr/libexec executable, which is not
# quite right for installed-tests
override_dh_fixperms:
	dh_fixperms -Xusr/libexec/installed-tests
ifneq ($(filter %-tests,$(built_binaries)),)
	chmod --recursive --changes a+rX,u+w,og-w debian/*-tests/usr/libexec/installed-tests
endif

override_dh_girepository:
	dh_girepository /usr/lib/$(DEB_HOST_MULTIARCH)/mutter-$(MUTTER_API_VERSION)

override_dh_makeshlibs:
	dh_makeshlibs -V

override_dh_shlibdeps:
	dh_shlibdeps -Llibmutter-$(MUTTER_API_VERSION)-$(MUTTER_SONAME) \
		-l/usr/lib/$(DEB_HOST_MULTIARCH)/mutter-$(MUTTER_API_VERSION)

## mutter 46.0

=== debian/changelog ===
mutter (46.0-1ubuntu9) noble; urgency=medium

  * Have mutter-common Breaks/Replaces recent magpie-common
    for org.gnome.mutter.x11.gschema.xml (LP: #2060659)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 18 Apr 2024 16:01:26 -0400

mutter (46.0-1ubuntu8) noble; urgency=medium

  * d/p/ubuntu/x11-Add-support-for-fractional-scaling: Enable X11 scaling again
    (LP: #2060659)
  * debian/control: Revert mutter-common breaks libmutter back to focal:
    - This is not needed anymore as the above enabled patch provides the
      gsettings schema

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 18 Apr 2024 02:40:05 +0200

mutter (46.0-1ubuntu7) noble; urgency=medium

  [ Daniel van Vugt ]
  * debian/control: mutter-common now breaks libmutter back to focal.
    Because  we have dropped X11 fractional scaling support for now,
    `org.gnome.mutter.x11.gschema.xml` is no longer shipped and those
    older versions of libmutter will fail to start(LP: #2060423)
  * Add compositor-sync-ring-Allow-the-gpu_fence-to-be-moved.patch
    to fix lag and freezes on the Nvidia Xorg driver (LP: #2059847)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 16 Apr 2024 08:46:54 -0400

mutter (46.0-1ubuntu6) noble; urgency=medium

  * Rebuild for CVE-2024-3094

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 31 Mar 2024 10:24:22 -0400

mutter (46.0-1ubuntu3) noble; urgency=medium

  * Ignore test results to have an installable package on other architectures,
    which succeed to build. Failing test is:
      116/184 mutter:clutter+clutter/conform / gesture
  * mutter: Relax the dependency on mutter-common, not using ${source:Version},
    but the lowest upstream version number.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 24 Mar 2024 19:20:17 +0100

mutter (46.0-1ubuntu2) noble; urgency=high

  * No change rebuild against libcanberra0t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Sun, 24 Mar 2024 16:24:22 +0100

mutter (46.0-1ubuntu1) noble; urgency=medium

  * Merge with Debian NEW. Remaining changes:
    - Add x11-Add-support-for-fractional-scaling-using-Randr.patch
    - Add window-Add-ability-to-override-the-edge-constraints.patch
      + Make possible for extensions (such as Tiling Assistant) to override
        window constraints
    - Temporarily disable x11 fractional scaling patch
  * Ignore test failures on armhf & ppc64el
  * Drop obsolete Breaks
  * Add Breaks: gnome-shell << 46.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 18 Mar 2024 16:46:38 -0400

mutter (46.0-1) experimental; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * Update binary package names for soname bump
  * Update symbols
  * Add Build-Depends: libpixman-1-dev, libdisplay-info-dev
  * Drop obsolete Build-Depends: libjson-glib-dev
  * Bump minimum wayland-protocols to 1.33
  * Drop 4 patches applied in new release
  * Refresh patches

  [ Daniel van Vugt ]
  * Update triple buffering patch
  * Add kms-crtc-Increase-default-deadline-evasion-to-1000-micros.patch
    to fix cursor stutter in Wayland sessions when nothing else is
    animating on screen (LP: #2040977)
  * Add Nvidia-secondary-GPU-copy-acceleration.patch
    to enable hardware accelerated screen updates on secondary GPU-connected
    monitors (LP: #1970291).

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 18 Mar 2024 15:11:40 -0400

mutter (45.3-3) experimental; urgency=medium

  * Cherry-pick several cursor fixes to fix compatibility with latest
    adwaita-icon-theme (Closes: #1063640)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 17 Feb 2024 09:58:59 +0100

mutter (45.3-2) experimental; urgency=medium

  * Team upload

  [ Daniel van Vugt ]
  * Drop cogl-onscreen-glx-Forcefully-disable-cogl_onscreen_glx_ge.patch.
    The bug was fixed properly in Mutter 45.0 and in Mesa 23.3.0.

  [ Jeremy Bícha ]
  * debian/control: Add Homepage

  [ Simon McVittie ]
  * Merge packaging changes from unstable
    - d/control: Build-depend on systemd-dev instead of udev
      (Closes: #1060619)
    - All other changes were included in 45.3-1

 -- Simon McVittie <smcv@debian.org>  Mon, 15 Jan 2024 17:46:16 +0000

mutter (44.8-3) unstable; urgency=medium

  * Cherry-pick several cursor fix to fix compatibility with latest
    adwaita-icon-theme (Closes: #1063640)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 10 Feb 2024 07:56:05 -0500

mutter (44.8-2) unstable; urgency=medium

  * Cherry-pick patch from 45.1 to fix using caps lock to enter
    accented characters with ibus 1.5.29 (Closes: #1054214) (LP: #2035076)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 25 Jan 2024 16:00:55 -0500

mutter (44.8-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Fix a crash involving the workspace indicator extension
      (gnome-shell-extensions#469, related to gjs#591)
    - Avoid relayout happening at the wrong time, which is a performance
      problem and should not happen (mutter#3425)
    - Fix a grey area at the top of fullscreen X11 windows (mutter#2937)
    - Fix build without Wayland headers (mutter#3046, does not affect Debian)
    - Show the configured background colour around backgrounds that do not
      fill the screen, instead of always black (mutter#1911)
  * d/patches: Mark several additional tests as flaky (backported from
    experimental).
    Most of these have never been reliable on Debian buildds, especially
    on ARM, so having them fail is not a regression. They usually succeed
    after a few retries, but that's time-consuming and unsuitable to be
    a QA gate.
    The restore-size test was previously not run at all: now it is run,
    but marked as flaky (so its result is ignored).

 -- Simon McVittie <smcv@debian.org>  Mon, 15 Jan 2024 13:49:28 +0000

mutter (44.7-2) unstable; urgency=medium

  * Team upload
  * d/control, d/rules: Stop generating d/control from d/control.in
  * d/control: Build-depend on systemd-dev instead of udev
    (Closes: #1060619)

 -- Simon McVittie <smcv@debian.org>  Sun, 14 Jan 2024 19:32:46 +0000



=== debian/control ===
--- 
+++ 
@@ -24,6 +24,7 @@
                libcairo2-dev (>= 1.10.0),
                libcanberra-gtk3-dev,
                libcolord-dev,
+               libdisplay-info-dev,
                libdrm-dev (>= 2.4.83),
                libegl1-mesa-dev (>= 17),
                libfribidi-dev (>= 1.0.0),
@@ -46,6 +47,7 @@
                libpam0g-dev,
                libpango1.0-dev (>= 1.46.0),
                libpipewire-0.3-dev (>= 0.3.33),
+               libpixman-1-dev (>= 0.42),
                libsm-dev,
                libstartup-notification0-dev (>= 0.7),
                libsysprof-6-dev [!hurd-i386 !i386],
@@ -72,14 +74,14 @@
                libxrender-dev,
                libxt-dev,
                meson (>= 0.55.0),
-               pkg-config (>= 0.22),
+               pkgconf,
                python3-attr,
                python3-jinja2,
                python3-dbus <!nocheck>,
                python3-dbusmock <!nocheck>,
                sysprof [!hurd-i386 !i386],
-               udev,
-               wayland-protocols (>= 1.31),
+               systemd-dev,
+               wayland-protocols (>= 1.33),
                xauth <!nocheck>,
                xcvt,
                xkb-data,
@@ -88,17 +90,16 @@
                zenity
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/mutter.git -b debian/unstable
-XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/mutter
-Vcs-Git: https://salsa.debian.org/gnome-team/mutter.git -b ubuntu/master
-Vcs-Browser: https://salsa.debian.org/gnome-team/mutter/tree/ubuntu/master
+Homepage: https://mutter.gnome.org/
+Vcs-Git: https://salsa.debian.org/gnome-team/mutter.git
+Vcs-Browser: https://salsa.debian.org/gnome-team/mutter
 
 Package: mutter
 Architecture: linux-any
 Depends: adwaita-icon-theme,
          gnome-settings-daemon-common,
          gsettings-desktop-schemas (>= 40~alpha),
-         mutter-common (>= ${source:Version}),
+         mutter-common (>= 46.0-1),
          zenity,
          ${misc:Depends},
          ${shlibs:Depends}
@@ -118,13 +119,13 @@
  This package contains the mutter executable. It can be used as a
  standalone window manager, but is primarily intended for debugging.
 
-Package: mutter-13-tests
+Package: mutter-14-tests
 Architecture: linux-any
 Depends: at-spi2-core,
          dbus-daemon,
          dmz-cursor-theme,
-         libmutter-13-0 (= ${binary:Version}),
-         libmutter-test-13 (= ${binary:Version}),
+         libmutter-14-0 (= ${binary:Version}),
+         libmutter-test-14 (= ${binary:Version}),
          mutter (= ${binary:Version}),
          python3,
          python3-dbus,
@@ -147,11 +148,11 @@
  This package contains test programs, designed to be run as part of a
  regression testsuite.
 
-Package: gir1.2-mutter-13
+Package: gir1.2-mutter-14
 Section: introspection
 Architecture: linux-any
 Multi-Arch: same
-Depends: libmutter-13-0 (= ${binary:Version}),
+Depends: libmutter-14-0 (= ${binary:Version}),
          ${gir:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
@@ -168,7 +169,7 @@
  This package contains the GObject introspection data which may be
  used to generate dynamic bindings.
 
-Package: libmutter-13-0
+Package: libmutter-14-0
 Section: libs
 Architecture: linux-any
 Multi-Arch: same
@@ -179,12 +180,7 @@
          mutter-common-bin (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Breaks: apparmor (<< 2.13.3-5~),
-        gnome-control-center (<< 1:3.25.2),
-        gnome-settings-daemon (<< 3.31.101),
-        gnome-shell (<< 45~rc),
-        libgtk-3-0 (<< 3.24.33-2~),
-        libgtk-4-1 (<< 4.6.3+ds1-2~),
+Breaks: gnome-shell (<< 46.0),
         xwayland (<< 2:23.1.0),
 Description: window manager library from the Mutter window manager
  Mutter is a Wayland display server and X11 window manager and
@@ -199,16 +195,15 @@
  This package contains the window manager shared library, used by mutter
  itself, and gnome-shell.
 
-Package: libmutter-13-dev
+Package: libmutter-14-dev
 Section: libdevel
 Architecture: linux-any
 Multi-Arch: same
-Depends: gir1.2-mutter-13 (= ${binary:Version}),
+Depends: gir1.2-mutter-14 (= ${binary:Version}),
          gsettings-desktop-schemas-dev (>= 40~alpha),
          libatk1.0-dev,
          libcairo2-dev,
          libdrm-dev,
-         libegl-dev,
          libegl1-mesa-dev,
          libgbm-dev,
          libgdk-pixbuf-2.0-dev,
@@ -216,8 +211,7 @@
          libglib2.0-dev (>= 2.75.0),
          libgraphene-1.0-dev (>= 1.9.3),
          libinput-dev (>= 1.19),
-         libjson-glib-dev,
-         libmutter-13-0 (= ${binary:Version}),
+         libmutter-14-0 (= ${binary:Version}),
          libpango1.0-dev,
          libwayland-dev,
          libx11-dev,
@@ -240,14 +234,14 @@
  .
  This package contains the development files.
 
-Package: libmutter-test-13
+Package: libmutter-test-14
 Section: libs
 Architecture: linux-any
-Depends: libmutter-13-0 (= ${binary:Version}),
+Depends: libmutter-14-0 (= ${binary:Version}),
          mutter (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Provides: gir1.2-metatest-13
+Provides: gir1.2-metatest-14
 Description: Test helper library for GNOME's window manager library
  Mutter is a Wayland display server and X11 window manager and
  compositor library. It contains functionality related to, among other
@@ -262,6 +256,8 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
+Breaks: magpie-common (<< 0.9.3-0ubuntu8~)
+Replaces: magpie-common (<< 0.9.3-0ubuntu8~)
 Description: shared files for the Mutter window manager
  Mutter is a Wayland display server and X11 window manager and
  compositor library. It contains functionality related to, among other

=== debian/rules ===
--- 
+++ 
@@ -20,6 +20,7 @@
 	dh $@
 
 CONFFLAGS = \
+	-Dauto_features=enabled \
 	-Degl_device=true \
 	-Dremote_desktop=true \
 	-Dwayland_eglstream=true
@@ -27,6 +28,10 @@
 
 ifneq ($(filter i386,$(DEB_HOST_ARCH)),)
 CONFFLAGS +=-Dprofiler=false
+endif
+
+ifeq ($(shell dpkg-vendor --query vendor),Ubuntu)
+CONFFLAGS += -Dlibdisplay_info=disabled
 endif
 
 override_dh_gnome_clean:
@@ -54,8 +59,8 @@
 override_dh_auto_test:
 ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
 	glib-compile-schemas $(BUILDDIR)/data
-ifeq (,$(filter mips mips64el mipsel riscv64 s390x alpha hppa powerpc sparc64 x32,$(DEB_HOST_ARCH)))
-	$(TEST_COMMAND)
+ifeq (,$(filter armhf mips mips64el mipsel ppc64el riscv64 s390x alpha hppa powerpc sparc64 x32,$(DEB_HOST_ARCH)))
+	-$(TEST_COMMAND)
 	-$(TEST_COMMAND_FLAKY) --logbase flaky-tests
 endif
 endif

## mutter 46.2

=== meson_options.txt ===
option('opengl',
  type: 'boolean',
  value: true,
  description: 'Enable OpenGL'
)

option('opengl_libname',
  type: 'string',
  value: 'libGL.so.1',
  description: 'OpenGL library file name'
)

option('gles2_libname',
  type: 'string',
  value: 'libGLESv2.so.2',
  description: 'GLESv2 library file name'
)

option('gles2',
  type: 'boolean',
  value: true,
  description: 'Enable GLES2 support'
)

option('egl',
  type: 'boolean',
  value: true,
  description: 'Enable EGL support'
)
option('glx',
  type: 'boolean',
  value: true,
  description: 'Enable GLX support'
)

option('wayland',
  type: 'boolean',
  value: true,
  description: 'Enable Wayland support'
)

option('xwayland',
  type: 'boolean',
  value: true,
  description: 'Enable Xwayland support'
)

option('systemd',
  type: 'boolean',
  value: true,
  description: 'Enable systemd support'
)

option('native_backend',
  type: 'boolean',
  value: true,
  description: 'Enable the native backend'
)

option('remote_desktop',
  type: 'boolean',
  value: true,
  description: 'Enable remote desktop and screen cast support'
)

option('libgnome_desktop',
  type: 'boolean',
  value: true,
  description: 'Build with or without gnome-desktop'
)

option('egl_device',
  type: 'boolean',
  value: false,
  description: 'Enable EGLDevice and EGLStream renderer support'
)

option('wayland_eglstream',
  type: 'boolean',
  value: false,
  description: 'Enable Wayland EGLStream support client support'
)

option('udev',
  type: 'boolean',
  value: true,
  description: 'Enable udev support when using the X11 backend'
)

option('udev_dir',
  type: 'string',
  value: '',
  description: 'Absolute path of the udev base directory'
)

option('libwacom',
  type: 'boolean',
  value: true,
  description: 'Enable libwacom support'
)

option('sound_player',
  type: 'boolean',
  value: true,
  description: 'Enable sound player support using libcanberra',
)

option('pango_ft2',
  type: 'boolean',
  value: true,
  description: 'Enable PangoFt2 support'
)

option('startup_notification',
  type: 'boolean',
  value: true,
  description: 'Enable startup notification support'
)

option('sm',
  type: 'boolean',
  value: true,
  description: 'Enable X11 session management support'
)

option('introspection',
  type: 'boolean',
  value: true,
  description: 'Enable GObject introspection'
)

option('docs',
  type: 'boolean',
  value: false,
  description: 'Enable gi-docgen documentation'
)

option('cogl_tests',
  type: 'boolean',
  value: true,
  description: 'Enable cogl tests'
)

option('clutter_tests',
  type: 'boolean',
  value: true,
  description: 'Enable clutter tests'
)

option('core_tests',
  type: 'boolean',
  value: true,
  description: 'Enable mutter core tests'
)

option('native_tests',
  type: 'boolean',
  value: true,
  description: 'Enable mutter native backend tests'
)

option('tests',
  type: 'boolean',
  value: true,
  description: 'Enable tests globally. Specific test suites can be controlled with core_tests, clutter_tests, and cogl_tests'
)

option('kvm_tests',
  type: 'boolean',
  value: false,
  description: 'Enable running certain tests in a virtual machine with a custom built kernel'
)

option('kvm_kernel_image',
  type: 'string',
  value: '',
  description: 'Path to a Linux kernel image to be used for KVM testing'
)

option('tty_tests',
  type: 'boolean',
  value: false,
  description: 'Enable tests that must be run on a TTY (KMS tests without KVM)'
)

option('profiler',
  type: 'boolean',
  value: true,
  description: 'Enable Sysprof tracing'
)

option('installed_tests',
  type: 'boolean',
  value: true,
  description: 'Enable mutter installed tests'
)

option('verbose',
  type: 'boolean',
  value: true,
  description: 'Enable verbose logging ability'
)

option('xwayland_path',
  type: 'string',
  value: '',
  description: 'Path to Xwayland executable'
)

option('xwayland_grab_default_access_rules',
  type: 'string',
  value: 'gnome-boxes,remote-viewer,virt-viewer,virt-manager,vinagre,vncviewer,Xephyr',
  description: 'Comma delimited list of applications resources or class allowed to issue X11 grabs in Xwayland'
)

option('xwayland_initfd',
  type: 'feature',
  value: 'auto',
  description: 'Whether -initfd argument is passed to Xwayland to guarantee services (e.g. gsd-xsettings) startup before applications'
)

option('catch',
  type: 'boolean',
  value: false,
  description: 'Use catch to catch backtraces'
)

option('libdisplay_info',
  type: 'feature',
  value: 'auto',
  deprecated: {'true': 'enabled', 'false': 'disabled'},
  description: 'Build with or without libdisplay-info'
)

=== debian/changelog ===
mutter (46.2-1ubuntu0.24.04.11) noble; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * d/p: Fix privacy screen enum definitions (LP: #2085423)
  * d/p: Correctly track the current privacy screen state (LP: #2121517)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 27 Oct 2025 15:31:56 +0100

mutter (46.2-1ubuntu0.24.04.10) noble; urgency=medium

  * Add proposed patch fixing crash on window drag (LP: #2107454)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 09 Jul 2025 09:10:43 +0200

mutter (46.2-1ubuntu0.24.04.9) noble; urgency=medium

  [ Chun-Yi Wu ]
  * Backport patches to fix AMD platform Nvidia dGPU screen freeze in
    Wayland. It was seen as a screen freeze but actually just running on
    the dGPU when that's not wired to the laptop display. (LP: #2111902)

  [ Yao Wei (魏銘廷) ]
  * d/p/wayland-Pass-latest-cogl-sync_fd-on-kms-update.patch:
    Fix issue where glxgears runs slower than display refresh rate
    (LP: #2111698)

  [ Daniel van Vugt ]
  * Add onscreen-native-Return-the-correct-number-of-EGL-modifier.patch
    to fix multi-monitor reverse PRIME support on desktops where Nvidia is
    primary and an integrated GPU is secondary. (LP: #1978905)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Fri, 30 May 2025 14:17:28 +0800

mutter (46.2-1ubuntu0.24.04.8) noble; urgency=medium

  * Add clutter-Repick-actors-when-touches-emulate-button-clicks.patch
    to resolve touchscreen problems on X11 (LP: #2063005, LP: #1904237)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Wed, 09 Apr 2025 14:13:33 +0800

mutter (46.2-1ubuntu0.24.04.7) noble; urgency=medium

  [ Alessandro Astone ]
  * Backport patches to fix crash when closing apps with subsurfaces
    (LP: #2093237)
  * Backport patches to fix drag&drop from X11 to Wayland windows
    (LP: #2097415)
  * Backport patches to fix possibly out of sync selection (LP: #2085634)
  * Backport patches to fix handling of pixel formats with no alpha, which
    fixes rendering of dialogs in IntelliJ IDEA. (LP: #2099879)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Wed, 19 Mar 2025 16:59:59 +0800

mutter (46.2-1ubuntu0.24.04.6) noble; urgency=medium

  [ Alessandro Astone ]
  * Backport patch to avoid full framebuffer damage when dragging a window
    (LP: #2080698)
  * Backport patches to fix crash with pointer-constraints and touch
    (LP: #2090824)
  * Backport patches to fix touchscreen drag&drop (LP: #1966635)
  * The above patches require and include the fix for LP: #2090824 even
    though that bug does not exist on Noble.
  * Silence lintian error about the version of two new symbols.

  [ Yao Wei (魏銘廷) ]
  * debian/patches: Synchronize touchscreen enabled state when adding it to
    device mapper, which fixes suspend/resume related issue (LP: #2087831)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Wed, 22 Jan 2025 14:14:03 +0800

mutter (46.2-1ubuntu0.24.04.5) noble; urgency=medium

  [ 林博仁(Buo-ren Lin) ]
  * Fix Intelligent Input Bus (IBus) not activatable during filename editing
    operations. (LP: #2076869)

  [ Alessandro Astone ]
  * Backport patches to fix restarting the x11 compositor (LP: #2040453)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 26 Nov 2024 03:04:49 +0100

mutter (46.2-1ubuntu0.24.04.4) noble; urgency=medium

  * Regenerate the patches for Xilinx (Mali) support using gbp pq syntax
    and fixing an unused uninitialized variable. (LP: #2080602)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Thu, 10 Oct 2024 16:26:01 +0800

mutter (46.2-1ubuntu0.24.04.3) noble; urgency=medium

  [ Talha Can Havadar ]
  * Add patches to restore support for EGL 1.4 and GLES 2.0. They are
    required for Xilinx (Mali) support (LP: #2080602)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Thu, 03 Oct 2024 16:03:43 +0800

mutter (46.2-1ubuntu0.24.04.2) noble; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * debian/patches: Fix screen recording crash with scaling and a custom cursor
    (LP: #2077746)

  [ Daniel van Vugt ]
  * Add backends-native-Avoid-duplicating-or-losing-KMS-property-.patch
    to avoid duplicating or losing colour profile, night light, HDR, or
    privacy screen updates (LP: #2025006)
  * Update the KMS deadline evasion patch to 2000us instead of 1000us.
    Some laptops need higher numbers than 1000us to avoid cursor stutter
    (LP: #2076318)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 28 Aug 2024 15:55:48 +0200

mutter (46.2-1ubuntu0.24.04.1) noble; urgency=medium

  [ Daniel van Vugt ]
  * New upstream release 46.2 (LP: #2068598)
    - Fixed mouse clicks falling through to the window behind (LP: #2026194)
    - Fixed a crash in meta_wayland_transaction_commit (LP: #2061739)
    - Fixed night light getting stuck on (LP: #2066902)
  * New upstream release 46.1 (LP: #2064735):
    - Fixed blank screen on hybrid GPU machines using nouveau (LP: #2066931)
    - Fixed a monitor hotplug crash (LP: #2050865)
    - Improved performance on secondary GPU monitors (LP: #2038801)
  * Refreshed patches:
    - Support-Dynamic-triple-double-buffering.patch (LP: #2070437, LP: #2070438)
    - meson-Do-not-mark-CI-test-tools-as-required.patch
    - Mark-several-additional-tests-as-flaky.patch
  * Add clutter/conform gesture tests to the list of known flaky ones:
    it's a new test in Mutter 46 and not yet reliable.
  * Add build-Compile-schemas-locally-for-use-in-build-tests.patch to compile
    gsettings schemas for use in build tests. Debian CI requires this now and
    it makes rebuilds more resilient against infrastructure changes.
  * Add wayland-Disable-linux-drm-syncobj-v1.patch to avoid enabling major
    new features in Noble updates, as detailed in:
    https://lists.ubuntu.com/archives/ubuntu-release/2024-May/006087.html
  * Add backends-Handle-null-views-instead-of-creating-dummy-view.patch
    to prevent "clutter_frame_clock_notify_presented: code should not be


=== debian/rules ===
--- 
+++ 
@@ -45,7 +45,6 @@
 TEST_COMMAND_BASE=env \
 	GIO_USE_VFS=local \
 	GIO_USE_VOLUME_MONITOR=unix \
-	GSETTINGS_SCHEMA_DIR=$(BUILDDIR)/data \
 	GVFS_DISABLE_FUSE=1 \
 	dbus-run-session -- xvfb-run -s '+iglx -noreset' -a \
 	dh_auto_test -- -C $(BUILDDIR) --no-rebuild --verbose --timeout-multiplier 6 \
@@ -58,7 +57,6 @@
 # Please keep this list in sync with debian/tests/installed-tests
 override_dh_auto_test:
 ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
-	glib-compile-schemas $(BUILDDIR)/data
 ifeq (,$(filter armhf mips mips64el mipsel ppc64el riscv64 s390x alpha hppa powerpc sparc64 x32,$(DEB_HOST_ARCH)))
 	-$(TEST_COMMAND)
 	-$(TEST_COMMAND_FLAKY) --logbase flaky-tests

=== debian/tests/control ===
Tests: build
Depends: @builddeps@
Restrictions: allow-stderr

Tests: libmutter-14-dev
Depends: build-essential,
         dbus-daemon,
         libmutter-14-dev,
         xauth,
         xvfb
Restrictions: allow-stderr superficial

Tests: installed-tests
Classes: desktop
Depends: gnome-desktop-testing,
         mutter-14-tests
Restrictions: allow-stderr skippable

## mutter 46.3.1

=== debian/changelog ===
mutter (2:46.3.1-1) unstable; urgency=medium

  * Add front version number

 -- Pedro M. de Echanove Pasquin <pedro.echanove@tuxum.com>  Tue, 8 Oct 2024 15:32:42 +0200

mutter (46.3.1-1) unstable; urgency=medium

  * New upstream release

 -- Pedro M. de Echanove Pasquin <pedro.echanove@tuxum.com>  Thu, 3 Oct 2024 13:37:52 +0200
